Package org.codehaus.groovy.antlr

# Class EnumHelper

java.lang.Object
org.codehaus.groovy.antlr.EnumHelper

public class EnumHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`EnumHelper()`

## Method Summary

Modifier and Type
Method
Description
`static FieldNode`
`addEnumConstant(ClassNode enumClass, String name, Expression init)`
`static ClassNode`
`makeEnumNode(String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnumHelper

public EnumHelper()

## Method Details

### makeEnumNode

public static ClassNode makeEnumNode(String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)

### addEnumConstant

public static FieldNode addEnumConstant(ClassNode enumClass, String name, Expression init)